| LightHub v4.0.0 Smarthome controller firmware

Public Attributes | List of all members
systemConfigFlags Union Reference

`#include <systemconfigdata.h>`

## Public Attributes
uint32_t | configFlags32bit
struct {
uint8_t serialDebugLevel:3
uint8_t notGetConfigFromHTTP:1
uint8_t udpDebugLevel:3
uint8_t notSaveSuccedConfig:1
uint8_t spare2
uint16_t sysConfigHash
}; |

## Member Data Documentation

## ◆ @1

struct { ... }

## ◆ configFlags32bit

uint32_t systemConfigFlags::configFlags32bit

## ◆ notGetConfigFromHTTP

uint8_t systemConfigFlags::notGetConfigFromHTTP

## ◆ notSaveSuccedConfig

uint8_t systemConfigFlags::notSaveSuccedConfig

## ◆ serialDebugLevel

uint8_t systemConfigFlags::serialDebugLevel

## ◆ spare2

uint8_t systemConfigFlags::spare2

## ◆ sysConfigHash

uint16_t systemConfigFlags::sysConfigHash

## ◆ udpDebugLevel

uint8_t systemConfigFlags::udpDebugLevel

The documentation for this union was generated from the following file:

- systemconfigdata.h